summaryrefslogtreecommitdiff
path: root/tests/chown/basic
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chown/basic')
-rwxr-xr-xtests/chown/basic12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/chown/basic b/tests/chown/basic
index 98145dac1..7c8951c83 100755
--- a/tests/chown/basic
+++ b/tests/chown/basic
@@ -25,12 +25,12 @@ touch f || framework_failure_
chown -R --preserve-root 0:1 f
# Make sure the owner and group are 0 and 1 respectively.
-set _ `ls -n f`; shift; test "$3:$4" = 0:1 || fail=1
+set _ $(ls -n f); shift; test "$3:$4" = 0:1 || fail=1
# Make sure the correct diagnostic is output
# Note we output a name even though an id was specified.
chown -v --from=42 43 f > out || fail=1
-printf "ownership of 'f' retained as `id -nu`\n" > exp
+printf "ownership of 'f' retained as $(id -nu)\n" > exp
compare exp out || fail=1
# Ensure diagnostics work for non existent files.
@@ -41,19 +41,19 @@ compare exp out || fail=1
chown --from=0:1 2:010 f || fail=1
# And now they should be 2 and 10 respectively.
-set _ `ls -n f`; shift; test "$3:$4" = 2:10 || fail=1
+set _ $(ls -n f); shift; test "$3:$4" = 2:10 || fail=1
ln -s f slink
# Applying chown to a symlink with --no-dereference
# should change only the link.
chown --no-dereference 0:1 slink || fail=1
# owner/group on the symlink should be set
-set _ `ls -n slink`; shift; test "$3:$4" = 0:1 || fail=1
+set _ $(ls -n slink); shift; test "$3:$4" = 0:1 || fail=1
# owner/group on the referent should remain unchanged
-set _ `ls -n f`; shift; test "$3:$4" = 2:10 || fail=1
+set _ $(ls -n f); shift; test "$3:$4" = 2:10 || fail=1
chown --no-dereference --from=0:1 2:010 slink || fail=1
# owner/group on the symlink should be changed
-set _ `ls -n slink`; shift; test "$3:$4" = 2:10 || fail=1
+set _ $(ls -n slink); shift; test "$3:$4" = 2:10 || fail=1
Exit $fail